Bug 1380877 - hammer hostgroup create does not support IPv6 subnets
Summary: hammer hostgroup create does not support IPv6 subnets
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Group
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-30 22:13 UTC by Perry Gagne
Modified: 2018-09-04 17:42 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-04 17:42:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18752 None None None 2017-04-26 10:28 UTC

Description Perry Gagne 2016-09-30 22:13:06 UTC
Description of problem: Tried to create a hostgroup with ipv6 subnet, got an error

Version-Release number of selected component (if applicable): Sat 6.3 snap 3


How reproducible: Very


Steps to Reproduce:
1. Create ipv6 subnet
2. Create hostgroup associated with IPv6 subnet

Actual results:
Got an error:
hammer> hostgroup create --name "ipv6hosts" --architecture-id 1 --organizations "Default Organization" --location-ids 2 --subnet-id 2 --content-view-id 2 --lifecycle-environment-id 1 --content-source-id 1 --operatingsystem-id 2 --partition-table-id 80 --medium-id 9
Could not create the hostgroup:
  Subnet must be of type Subnet::Ipv4.


Expected results:
Host group is not blocked


Additional info:

Comment 2 Brad Buckingham 2016-10-04 17:08:12 UTC
Hi Daniel, Is this expected behavior for Satellite 6.3?

Comment 3 Tomer Brisker 2017-04-26 10:28:03 UTC
Connecting redmine issue http://projects.theforeman.org/issues/18752 from this bug

Comment 6 Bryan Kearney 2018-09-04 17:42:42 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.